Infrastructure - Bug #1203

Metacat Idap authentication slow
2011-01-07 16:02 - Dave Vieglais

Status: Rejected Start date: 2011-01-07
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Metacat Estimated time: 0.00 hour
Target version:

Milestone: None Story Points:

Product Version: *

Description

Metacat appears to issue a large number of LDAP referal requests when authenticating which can take several seconds. This needs
to be corrected for Metacat to operate in a CN environment.

Example log output from cn-unm-1:

knb 20110107-03:11:29: [WARN]: finish building index for doicd autogen.2011619112649.1 [edu.ucsb.nceas.metacat.IndexingTask]
knb 20110107-03:11:29: [INFO]: AuthLdap.getGroups - caught referral exception:
Idap://directory.piscoweb.org/ou=people,dc=piscoweb,dc=0rg??sub [edu.ucsb.nceas.metacat.AuthLdap]

knb 20110107-03:11:29: [INFO]: AuthLdap.getGroups - caught referral exception:
Idap://Idap.lternet.edu/o=LTER,dc=ecoinformatics,dc=0rg??sub [edu.ucsb.nceas.metacat.AuthLdap]

knb 20110107-03:11:29: [INFO]: AuthLdap.getGroups - caught referral exception:
Idap://dataknp.sanparks.org/o=SANParks,dc=ecoinformatics,dc=0org??sub [edu.ucsb.nceas.metacat.AuthLdap]

knb 20110107-03:11:32: [INFO]: AuthLdap.getGroups - caught referral exception:
ldap://dataknp.sanparks.org/o=SAEON,dc=ecoinformatics,dc=org??sub [edu.ucsb.nceas.metacat.AuthLdap]

knb 20110107-03:11:36: [INFO]: AuthLdap.getGroups - caught referral exception:
ldaps://ldap.biodiversityinformatics.amnh.org:636/dc=palmyraresearch,dc=org??sub [edu.ucsb.nceas.metacat.AuthLdap]

knb 20110107-03:11:41: [ERROR]: NamingException when getting referral contex. Skipping this referral.
Idap.biodiversityinformatics.amnh.org:636 [edu.ucsb.nceas.metacat.AuthLdap]

knb 20110107-03:11:41: [INFO]: AuthLdap.getGroups - caught referral exception:
Idap://desertdb.bgu.ac.il/o=ilter-israel,dc=ecoinformatics,dc=0rg??sub [edu.ucsb.nceas.metacat.AuthLdap]

knb 20110107-03:11:41: [INFO]: AuthLdap.getGroups - caught referral exception:
ldap://desertdb.bgu.ac.il/o=ilter-romania,dc=ecoinformatics,dc=org??sub [edu.ucsb.nceas.metacat.AuthLdap]

knb 20110107-03:11:42: [INFO]: AuthLdap.getGroups - caught referral exception:
Idap://desertdb.bgu.ac.il/o=ilter-slovakia,dc=ecoinformatics,dc=0rg??sub [edu.ucsb.nceas.metacat.AuthLdap]

knb 20110107-03:11:43: [INFO]: AuthLdap.getGroups - caught referral exception:
ldap://desertdb.bgu.ac.il/o=ilter-ukecn,dc=ecoinformatics,dc=org??sub [edu.ucsb.nceas.metacat.AuthLdap]

knb 20110107-03:11:43: [WARN]: AuthLdap.getGroups - The user is in the following groups: [] [edu.ucsb.nceas.metacat.AuthLdap]
knb 20110107-03:11:43: [INFOJ: the new session id is : 9DEOCA054AF3822B57FB6022464A70DC
[edu.ucsb.nceas.metacat.AuthSession]

knb 20110107-03:11:43: [INFOJ: the new session username : uid=kepler,o=unaffiliated,dc=ecoinformatics,dc=org
[edu.ucsb.nceas.metacat.AuthSession]

knb 20110107-03:11:43: [DEBUG]: MetaCatServlet.handleLoginAction - Store session id 9DEOCA054AF3822B57FB6022464A70DC
which has usernameuid=kepler,o=unaffiliated,dc=ecoinformatics,dc=org into hash in |

ogin method [edu.ucsb.nceas.metacat.MetaCatServlet]

History

#1 - 2011-11-23 19:43 - Ben Leinfelder
- Status changed from New to Rejected

- Milestone set to None

This is not a D1 issue in that Metacat LDAP authentication is not used in D1 -- only client certificates.
